Quantcast
Channel: All NX Design Forum posts
Viewing all 25279 articles
Browse latest View live

Re: NX Clearance Analysis Report- Coordinate Extraction

$
0
0

Hi,

 

I'm also working with the assembly clearance function.

Have you been able to extract the coordinates, part types and collision overlap (distance) through function in NXOpen?

I have been trying to get those informations through the following function but I'm not able to get anything more than the number of collision.

 

Thank you

 

public void CheckForCollision(ref bool contactCollisionDetected, ref ArrayList listOfContacts, ref float toleranceCurrent, float toleranceMax, bool bToleranceIncreased)
        {
            NXOpen.Assemblies.ClearanceSet nullNXOpen_Assemblies_ClearanceSet = null;
            NXOpen.Assemblies.ClearanceAnalysisBuilder clearanceAnalysisBuilder1;
            NXOpen.Part workPart = theSession.Parts.Work;
            clearanceAnalysisBuilder1 = workPart.AssemblyManager.CreateClearanceAnalysisBuilder(nullNXOpen_Assemblies_ClearanceSet);

            NXOpen.Expression expression1;
            expression1 = clearanceAnalysisBuilder1.CreateClearanceZoneExpression("0.0");
            
            NXOpen.Unit unit1 = (NXOpen.Unit)workPart.UnitCollection.FindObject("MilliMeter");
            expression1.Units = unit1;

            clearanceAnalysisBuilder1.SetDefaultClearanceZone(expression1);

            clearanceAnalysisBuilder1.CalculationMethod = NXOpen.Assemblies.ClearanceAnalysisBuilder.CalculationMethodType.ExactifLoaded;

            clearanceAnalysisBuilder1.ClearanceSetName = "SET1";

            clearanceAnalysisBuilder1.ClearanceBetween = NXOpen.Assemblies.ClearanceAnalysisBuilder.ClearanceBetweenEntity.Bodies;
            NXOpen.NXObject nXObject1;
            nXObject1 = clearanceAnalysisBuilder1.Commit();
 
            NXOpen.Assemblies.ClearanceSet clearanceSet1 = (NXOpen.Assemblies.ClearanceSet)nXObject1;
            clearanceSet1.PerformAnalysis(NXOpen.Assemblies.ClearanceSet.ReanalyzeOutOfDateExcludedPairs.True);
            NXOpen.Assemblies.ClearanceSet.Summary results = clearanceSet1.GetResults();

            NXOpen.SelectObject[] gh1 = clearanceAnalysisBuilder1.CollectionOneObjects.GetSelectObjectArray();
            NXOpen.DisplayableObject[] gh2 = clearanceAnalysisBuilder1.CollectionTwoObjects.GetArray();

            if (results.NumHard > 0)
            {
                toleranceCurrent += (float)1;
                contactCollisionDetected = true;
            }
            else
            {
                contactCollisionDetected = false;
            }

            int k = results.NumCollections;
            int m = results.NumCollection1;
            int l = results.NumAllInterf;

            Component test = clearanceSet1.OwningComponent;
            int f=clearanceSet1.GetNumberOfInterferences();
}

Re: Direct the "Create Base View" command to select the UGPART autmatically insead of the

$
0
0

Don't take my word for it, but I think you can't... It may be hard coded this way to support the Master Model concept.

Maybe you can create a script that does this and add it as custom command in the ribbon bar...

Re: Eliminate excess surface data from faces in solid

$
0
0

Thanks. I did look at the snipping command. It does remove the excess surface data, but it only works on individual surfaces, not faces in a solid. To use it in my situation, I would have to extract the face, snip it and replace the original in the solid. I was hoping for a more automatic solution.

Re: Direct the "Create Base View" command to select the UGPART autmatically insead of the

$
0
0

I seem to recall in the past, there was an option in the customer defaults, to either pull views from the model, or from the drafting file.  I had a few discussions with GTAC on the pros/cons of each, but now I can't find that setting.

Re: Override position

$
0
0

Hi ,

thank you for your response. For your second answer, maybe I wasn't clear.

An example is :

1) I have a hydraulic cylinder that I mate with one touch and one touch in the axis in one hole of the hydraulic cylinder.

2) I make the override position of the rod and I mate the rod

 

If I touch the sub-assembly hydraulic cylinder I see only one mate called 'Bond'. How to discover rapidly which constraints are related to this assembly?

Remember that not always assembly are mated always from yourself....we work in a big company and understand how the assembly is mated, it's very important.

Re: curvature comb of a non-planar spline

$
0
0

Hi    Thank you for sharing your reasoning!

 

In my  subconsciousness I guess A and B should be different, but sometimes might be attempted to judge from the non-projection comb. Each time when I want to look at the curvature comb from another direction, I need to open the curve comb dialog box to modify the setting. This is annoying.

Re: Shortcut to reset dialog box?

$
0
0

In the Dimension Dialog box select the References>”Select Second Object” and select the correct entity

Re: Shortcut to reset dialog box?

$
0
0

Hello ,

 

Or you can Hold the SHIFT key and deselect the the enity you wrongfully selected (you might need to make the correct selection line active first).
Or press the reset button at the right top of the menu.
afbeelding.png

 

Kind regards,

 

Dennis


Re: Move Linked Objects NX 11

$
0
0

 

Thank you for the response! Would you be able to provide a quick video showing how you would set this up to work like that?  I have gotten one of the parts to move using the PTS but cannot get the other to mirror the motion

Re: Through Points spline, uniqueness

$
0
0

I have never seen this as a problem.
Typically one uses the through points method to solve a shape where the points somehow are predefined and must be passed by the spline, the specific shape is maybe less important. 
and the by poles method when the shape of the spline is maybe more important than the absolute position of the spline.

Regards,
Tomas

Re: NX 12 - Phantom line for one body in drafting

$
0
0
Do you have "Visible lines" as "original" and NOT "solid" ?
- "Solid" will override any other types and make all visible "solid".

Regards,
Tomas

Re: Is there a way to find the bend radius of a tube in NX11 ?

$
0
0

One more idea for you.    You need the PMI license

Use the PMI Centerline function on those bend faces.  And then the PMI dimension to get the radius.

PMI radius.png

Re: Is there a way to find the bend radius of a tube in NX11 ?

$
0
0

 there any ERs for being able to recognize a toroidal shape and provide the feedback for the major and minor radius in a more efficient manner? Seems to me NX can recognize a cylindrical face easily enough, so one would be led to believe NX could pull the major radius when it encounters a toroidal face.

ER 1871406: "need to extract axis (3D centerlines) of a tube-shaped body in Modeling", which is still open but the internal comments suggest that the requirement has been fullfilled since PMI Centerline and Center Mark were introduced as  mentions above.

 

Since the above ER was assigned to the Drafting development group, I would shoot for existing (modeling) ER 2177840: "A function to extract 3D centerline from a tube shaped body".

 

Regards, Ben

Re: Shortcut to reset dialog box?

$
0
0

Hi pmk3,

 

To reselect enteties in the sketch environment there is no need to deselect or reseting the selection. You simply either in the meny select the First reference in the dimensioning menu or select directly on the yellow marker representing the First or Second reference direcly in the graphical window - no need to reset. An remember that if you have several enteties in the sma locatein where you want to select your reference you can hover the area to get to the Quick Pick menu where you get to a list of the entetis in the specific area. It will enable you to be precice in your selection. Have a look to the attached movie file.

 

Best Regards

Fred

 

Re: Through Points spline, uniqueness

$
0
0

Hi    Thank you for your comments!


Re: Through Points spline, uniqueness

$
0
0

I have found that the engineering mind trends toward points, they like to define things precisely.  The styilng mind, tends towards poles, for asthetic reasons.

 

I've worked with both, and use poles to define my splines, as I find they behave better Smiley Happy

Re: curvature comb of a non-planar spline

$
0
0

Hi Surfactant,

 

They would be different as it would be analyzing different character. One is along a controlled axis, one is along the natural curve normal. If analyzing in different views why not use projection method “View” and “Dynamic Projection” toggled on - then you would allways get the view required curvature comb? The attached image shows the analyze you refer to where the orange one is controlled in the Z-direction while the other is set to “None” and showing the Curvature along the natural curve normal.

 

Best Regards

Fred

 

Comb.png

Re: NX 12 Measure

$
0
0

Hi all. I am using NX 12 just few days but I am missing some functions from old measure tool among other things. Fact that I will have to settle in new vector measurement is ok. But what I am really missing is display center of gravity (old measure body way) on the part and on the drawing as well. How could I do that with new measure feature? Thank you.

Re: NX 12 Measure

$
0
0

Hi

 

You can create a point to reflect the center of gravity by selecting the solid body, with the Object radio button selected on the Measure dialog, and then expanding the right side of the dialog (1) and the clicking the icon to "Create non-associative geometry on OK or Apply" (2).  This also inserts a point in the "Non-timestamp Geometry" folder in the Part Navigator.

 

Screenshot - 7_3_2018 , 10_45_26 AM.png

 

If you're in a bind, you can restore the legacy Measure command. Enter "Measure Body" in the command finders to access the command.

Regards, Ben

Re: NX 12 Measure

$
0
0

Hi Ben.

I've already did. But is there a option do it with new measure?  Old measure body command have a notice ''to be retired'' so I would like to learn a new way.

 

Thanks

Peter

Viewing all 25279 articles
Browse latest View live


<script src="https://jsc.adskeeper.com/r/s/rssing.com.1596347.js" async> </script>